package es.uv.garcosda.repositories;

import java.util.List;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;
import org.springframework.data.jpa.repository.JpaRepository;

import es.uv.garcosda.domain.Video;

public interface VideoRepository extends JpaRepository<Video, String> {

	public List<Video> findByTitle(String title);
	public Page<Video> findByTitle(String title, Pageable pageable);
	public List<Video> findByUserId(String user_id);
	public Page<Video> findByUserId(String user_id, Pageable pageable);
}
